# List Organization Webhooks

List webhooks for the organization

Operation ID: organizationWebhooks_list

Endpoint: GET /v1/organization/webhooks
Security: BearerAuth

## Query parameters:

  - `limit` (integer,null)
    Number of Webhook objects to return in this page. Defaults to 100.

  - `start_after` (string,null)
    Return Webhook objects starting after this name.

  - `order` (array)
    Select a field to order the results by. Defaults to name. To control the direction of the sorting, append
[asc] or [desc] to the field name. For example, name[desc] will sort the results by name in descending order.
The ordering defaults to asc if not specified. May be used multiple times to order by multiple fields, and the
ordering is applied in the order the fields are specified.

  - `filter` (array)
    Filter results by this query. For more information on filtering, refer to our Filtering Guide. Defaults to no filter.
If used more than once, the queries are ANDed together.

## Response 200 fields (application/json):

  - `result` (array, required)
    List of webhooks for the organization.

  - `result.id` (string, required)

  - `result.fullname` (string, required)
    Human friendly slug for this webhook

  - `result.environment` (string, required)
    Enum: "test", "prod"

  - `result.filters` (array, required)
    Specifies which Webhooks to send.
    Enum: "all", "account_create", "account_delete", "account_update", "integration_create", "integration_delete", "integration_update", "operation_complete"

  - `result.url` (string, required)
    URL that webhooks will be sent to

  - `result.credential_id` (string, required)

  - `result.name` (string, required)
    Human-readable name for this resource

  - `result.created_at` (string, required)
    Time object was originally created

  - `result.updated_at` (string, required)
    Last time object was updated

## Response 400 fields (application/json):

  - `occurred_at` (string, required)
    The date and time the problem occurred.

  - `status` (integer, required)
    The HTTP status code of the problem. Matches the HTTP response code sent by the server.

  - `instance` (string, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `type` (string)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `cause` (array,null)
    A list of the root cause(s) for this problem occurrence. Includes at minimum one root cause, and is otherwise an unordered list of causes.

  - `cause.type` (string, required)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `cause.message` (string, required)
    A short, display-friendly summary of the problem.

  - `cause.detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `cause.remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `cause.context` (object)

  - `cause.context.parameter` (object)

  - `cause.context.parameter.id` (string, required)
    If the location of the parameter is body, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `cause.context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `cause.context.parameter.value` (any,null)
    The given value of the parameter.

  - `cause.context.resources` (array,null)

  - `cause.context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `cause.context.resources.id` (string, required)
    ID of the related resource.

  - `cause.context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `cause.context.raw_error` (string,null)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `cause.context.provider_details` (object,null)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

  - `detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)


